Loading...
Searching...
No Matches
AlgorithmIdentificationMacro Class Reference

Class representing the Algorithm Identification Macro. More...

## Public Member Functions

| AlgorithmIdentificationMacro ()
| Constructor.
virtual | ~AlgorithmIdentificationMacro ()
| Virtual destructor.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Perform consistency checks.
virtual CodeSequenceMacro & | getAlgorithmFamilyCode ()
| Return Algorithm Family Code.
virtual CodeSequenceMacro & | getAlgorithmNameCode ()
| Get Algorithm Name Code.
virtual OFCondition | getAlgorithmName (OFString &value, const signed long pos=0)
| Get Algorithm Name.
virtual OFCondition | getAlgorithmVersion (OFString &value, const signed long pos=0)
| Get Algorithm Version.
virtual OFCondition | getAlgorithmParameters (OFString &value, const signed long pos=0)
| Get Algorithm Parameters.
virtual OFCondition | getAlgorithmSource (OFString &value, const signed long pos=0)
| Get Algorithm Source.
virtual OFCondition | setAlgorithmName (const OFString &value, const OFBool checkValue=OFTrue)
| Set Algorithm Name.
virtual OFCondition | setAlgorithmVersion (const OFString &value, const OFBool checkValue=OFTrue)
| Set Algorithm Version.
virtual OFCondition | setAlgorithmParameters (const OFString &value, const OFBool checkValue=OFTrue)
| Set Algorithm Parameters.
virtual OFCondition | setAlgorithmSource (const OFString &value, const OFBool checkValue=OFTrue)
| Set Algorithm Source.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Reads this macro from given item.
virtual OFCondition | write (DcmItem &item)
| Write this macro to given item.

## Private Attributes

CodeSequenceMacro | m_AlgorithmFamilyCode
| Code Sequence Macro from Algorithm Family Code Sequence (single item), (SQ, VM 1, Type 1).
CodeSequenceMacro | m_AlgorithmNameCode
| Code Sequence Macro from Algorithm Name Code Sequence (single item) (SQ, VM 1, Type 3).
DcmLongString | m_AlgorithmName
| Algorithm Name: (LO, VM 1, Typ 1).
DcmLongString | m_AlgorithmVersion
| Algorithm Version: (LO, VM 1, Typ 1).
DcmLongText | m_AlgorithmParameters
| Algorithm Parameters: (LT, VM 1, Typ 3).
DcmLongString | m_AlgorithmSource
| Algorithm Source: (LO, VM 1, Typ 3).

## Detailed Description

Class representing the Algorithm Identification Macro.

## Member Function Documentation

## check()

virtual OFCondition AlgorithmIdentificationMacro::check | ( | const OFBool | quiet = OFFalse | ) |

virtual

Perform consistency checks.

Parameters

  quiet | If OFTrue, not error / warning messages will be produced. Only the returned error code will indicate error or OK. Per default, logging output is produced (OFFalse).

Returns
  EC_Normal if rules are satisfied, error otherwise

## getAlgorithmFamilyCode()

virtual CodeSequenceMacro & AlgorithmIdentificationMacro::getAlgorithmFamilyCode | ( |  | ) |

virtual

Return Algorithm Family Code.

Returns
  Reference to algorithm family code

## getAlgorithmName()

virtual OFCondition AlgorithmIdentificationMacro::getAlgorithmName | ( | OFString & | value,
|  | const signed long | pos = 0 )

virtual

Get Algorithm Name.

Parameters

  value | Reference variable to store the value to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## getAlgorithmNameCode()

virtual CodeSequenceMacro & AlgorithmIdentificationMacro::getAlgorithmNameCode | ( |  | ) |

virtual

Get Algorithm Name Code.

Returns
  Algorithm Name Code

## getAlgorithmParameters()

virtual OFCondition AlgorithmIdentificationMacro::getAlgorithmParameters | ( | OFString & | value,
|  | const signed long | pos = 0 )

virtual

Get Algorithm Parameters.

Parameters

  value | Reference variable to store the value to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## getAlgorithmSource()

virtual OFCondition AlgorithmIdentificationMacro::getAlgorithmSource | ( | OFString & | value,
|  | const signed long | pos = 0 )

virtual

Get Algorithm Source.

Parameters

  value | Reference variable to store the value to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## getAlgorithmVersion()

virtual OFCondition AlgorithmIdentificationMacro::getAlgorithmVersion | ( | OFString & | value,
|  | const signed long | pos = 0 )

virtual

Get Algorithm Version.

Parameters

  value | Reference variable to store the value to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## read()

virtual OFCondition AlgorithmIdentificationMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Reads this macro from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading, otherwise it is kept/overwritten

Returns
  EC_Normal if reading was successful, error otherwise

## setAlgorithmName()

virtual OFCondition AlgorithmIdentificationMacro::setAlgorithmName | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Algorithm Name.

Parameters

  value | The value to be set
  checkValue | If OFTrue, the given value is checked

Returns
  EC_Normal, if value could be set, error otherwise

## setAlgorithmParameters()

virtual OFCondition AlgorithmIdentificationMacro::setAlgorithmParameters | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Algorithm Parameters.

Parameters

  value | The value to be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal, if value could be set, error otherwise

## setAlgorithmSource()

virtual OFCondition AlgorithmIdentificationMacro::setAlgorithmSource | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Algorithm Source.

Parameters

  value | The value to be set
  checkValue | If OFTrue, the given value is checked

Returns
  EC_Normal, if value could be set, error otherwise

## setAlgorithmVersion()

virtual OFCondition AlgorithmIdentificationMacro::setAlgorithmVersion | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Algorithm Version.

Parameters

  value | The value to be set
  checkValue | If OFTrue, the given value is checked

Returns
  EC_Normal, if value could be set, error otherwise

## write()

virtual OFCondition AlgorithmIdentificationMacro::write | ( | DcmItem & | item | ) |

virtual

Write this macro to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0